Package org.snpeff.nextProt

# Class NextProtMarkerFactory

java.lang.Object
org.snpeff.nextProt.NextProtMarkerFactory

public class NextProtMarkerFactory extends Object
Creates Markers from nextprot XML annotations

Author:
  Pablo Cingolani

## Constructor Summary

Constructors
Constructor
Description
`NextProtMarkerFactory(Config config)`

## Method Summary

Modifier and Type
Method
Description
`Markers`
`addMarkers(NextProtXmlEntry entry, NextProtXmlIsoform isoform, NextProtXmlAnnotation annotation, Location location, String trId)`
Create markers and add them
`void`
`conservation()`
Sequence conservations analysis.
`Markers`
`getMarkers()`
`Markers`
`nextProt(Transcript tr, String accession, String name, int aaStart, int aaEnd)`
Create a single NextProt marker
`Markers`
`nextProt(Transcript tr, NextProtXmlAnnotation annotation, Location location)`
Create a list of NextProt markers according to this annotation
`void`
`saveDatabase()`
Save nextprot markers as databases

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NextProtMarkerFactory

public NextProtMarkerFactory(Config config)

## Method Details

### addMarkers

public Markers addMarkers(NextProtXmlEntry entry, NextProtXmlIsoform isoform, NextProtXmlAnnotation annotation, Location location, String trId)
Create markers and add them

Returns:
  New markers created

### conservation

public void conservation()
Sequence conservations analysis. Tag highly conserved NextProt markers

### getMarkers

public Markers getMarkers()

### nextProt

public Markers nextProt(Transcript tr, NextProtXmlAnnotation annotation, Location location)
Create a list of NextProt markers according to this annotation

### nextProt

public Markers nextProt(Transcript tr, String accession, String name, int aaStart, int aaEnd)
Create a single NextProt marker

### saveDatabase

public void saveDatabase()
Save nextprot markers as databases